GET
/global/notification-subscriptions
curl \
--request GET 'https://live.smartpmtech.com/global/notification-subscriptions' \
--header "X-API-KEY: $API_KEY" \
--header "X-COMPANY-ID: string"
Response examples (200)
[
{
"global": true,
"id": 42,
"createdByUserId": "string",
"notificationSubscriptionRecipients": [
{
"recipient": "string",
"id": 42,
"recipientType": "USER"
}
],
"milestoneType": "FULL_SCHEDULE",
"notificationType": "ALL_ANALYSIS",
"notificationStatus": "QUEUED",
"subscriptionType": "EMAIL_NOTIFICATION",
"subscriptionDOWs": [
{
"id": 42,
"monday": true,
"tuesday": true,
"thursday": true,
"wednesday": true,
"friday": true,
"saturday": true,
"dowFrequency": "FIRST_OF_THE_MONTH",
"sunday": true
}
],
"notificationSubscriptionReports": [
{
"id": 42,
"reportTemplateId": 42
}
],
"skipAnalysisComplete": true,
"name": "string",
"active": true,
"description": "string",
"notificationSubscriptionCompanyFilters": [
{
"id": 42,
"filterKey": "string",
"filterValue": "string"
}
],
"modelType": "ALL_SCHEDULES"
}
]